curl --request GET \
--url https://api.statisfy.com/v1/activities/{activity_id}/content \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.statisfy.com/v1/activities/{activity_id}/content"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.statisfy.com/v1/activities/{activity_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/activities/{activity_id}/content",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/activities/{activity_id}/content"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.statisfy.com/v1/activities/{activity_id}/content")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/activities/{activity_id}/content")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"activity_id": "<string>",
"campaign_email": {
"html": "<string>",
"subject": "<string>"
},
"has_more": false,
"messages": [
{
"id": "<string>",
"text": "<string>",
"ai_written": false,
"attachments": [
{
"filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123
}
],
"automated": "<string>",
"cc": [
"<string>"
],
"direction": "inbound",
"role": "customer",
"sender": {
"email": "<string>",
"id": "<string>",
"name": "<string>",
"type": "user"
},
"sent_at": "<string>",
"subject": "<string>",
"to": [
"<string>"
]
}
],
"next_cursor": "<string>",
"note": {
"text": "<string>",
"author": {
"email": "<string>",
"id": "<string>",
"name": "<string>",
"type": "user"
}
},
"pushed": {
"body": "<string>",
"subject": "<string>"
},
"survey_answers": [
{
"answer": "<string>",
"answer_label": "<string>",
"choices": [
"<string>"
],
"comment": "<string>",
"free_text": "<string>",
"question": "<string>",
"question_id": "<string>"
}
],
"survey_comment": "<string>",
"type": "email"
}Get what was written in an activity
Returns what was written in an activity, in the field for its kind; the others are empty or null. messages: an email, Slack, Teams, ticket, Chatter or LinkedIn thread’s, oldest first, a page at a time (limit, default 100, at most 500; pass next_cursor back as cursor while has_more; a cursor from another activity is a 400), each with its sender (the person, when it was stored with one), an email’s recipients and subject, its text as stored when it was ingested, and its attachments by name (never bcc). note: a note’s text and author. survey_answers and survey_comment: a survey response’s. campaign_email: a campaign send’s subject and template. pushed: a pushed meeting’s or event’s subject and notes. A meeting has none of them: its words are its transcript, at GET /v1/meetings//transcript for one Statisfy’s notetaker recorded. This reads the workspace’s mail, chats, notes and survey answers: grant activity_content:read only to an integration that may read all of them.
curl --request GET \
--url https://api.statisfy.com/v1/activities/{activity_id}/content \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.statisfy.com/v1/activities/{activity_id}/content"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.statisfy.com/v1/activities/{activity_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/activities/{activity_id}/content",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/activities/{activity_id}/content"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.statisfy.com/v1/activities/{activity_id}/content")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/activities/{activity_id}/content")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"activity_id": "<string>",
"campaign_email": {
"html": "<string>",
"subject": "<string>"
},
"has_more": false,
"messages": [
{
"id": "<string>",
"text": "<string>",
"ai_written": false,
"attachments": [
{
"filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123
}
],
"automated": "<string>",
"cc": [
"<string>"
],
"direction": "inbound",
"role": "customer",
"sender": {
"email": "<string>",
"id": "<string>",
"name": "<string>",
"type": "user"
},
"sent_at": "<string>",
"subject": "<string>",
"to": [
"<string>"
]
}
],
"next_cursor": "<string>",
"note": {
"text": "<string>",
"author": {
"email": "<string>",
"id": "<string>",
"name": "<string>",
"type": "user"
}
},
"pushed": {
"body": "<string>",
"subject": "<string>"
},
"survey_answers": [
{
"answer": "<string>",
"answer_label": "<string>",
"choices": [
"<string>"
],
"comment": "<string>",
"free_text": "<string>",
"question": "<string>",
"question_id": "<string>"
}
],
"survey_comment": "<string>",
"type": "email"
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Query Parameters
Response
Successful Response
Was this page helpful?